|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QWindowsStyle Class Reference
[QtGui module]

The QWindowsStyle class provides a Microsoft Windows-like look and feel. More...

     #include <QWindowsStyle>

Inherits QCommonStyle.

Inherited by QCleanlooksStyle, QMacStyle, QPlastiqueStyle, and QWindowsXPStyle.

- List of all members, including inherited members

### Public Functions

- QWindowsStyle ()
- ~QWindowsStyle ()

- 22 public functions inherited from QStyle
- 29 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 6 static public members inherited from QStyle
- 5 static public members inherited from QObject
- 7 protected functions inherited from QObject
- 1 protected slot inherited from QStyle

## Detailed Description

The QWindowsStyle class provides a Microsoft Windows-like look and feel.

This style is Qt's default GUI style on Windows.

See also QWindowsXPStyle, QMacStyle, QPlastiqueStyle, QCDEStyle, and QMotifStyle.

## Member Function Documentation

### QWindowsStyle::QWindowsStyle ()

Constructs a QWindowsStyle object.

### QWindowsStyle::~QWindowsStyle ()

Destroys the QWindowsStyle object.